<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="tsx">
import { toRef } from 'vue';
type Step = {
    name: string,
    label: string, 
    icon: string
}
const props = defineProps<{
    steps: Array<Step>,
    active: string
}>();
const { steps } = props;
const active = toRef(props, 'active');

const emits = defineEmits<{
    (e: 'update:active', value: string): void
}>()

const Stepper = () => {
    return <div class="flex">
    {
        steps.map((step:any, index: number)=>{
            return <>
                <div key={index} class={["min-w-24 cursor-pointer"]} onClick={()=>{emits("update:active", step.name)}}>
                    <div class={["border border-gray-700 size-8 mb-1 mx-auto block rounded-full text-2xl text-center", {'bg-accent1-default text-accent1-text hover:bg-accent1-hover': active.value === step.name},{'bg-white text-gray-700 hover:bg-gray-200': active.value!==step.name}]}>
                        <i class={`${step.icon} ri-1x`}></i>
                    </div>
                    <p class="w-full text-center capitalize">{step.label}</p>
                </div>
                {index < steps.length-1 && <div class="flex-grow basis-1 shrink-0 min-w-1 min-h-[1px] m-auto bg-gray-700"></div>}
            </>
        })
    }
    </div>
}
</script>
<template>
    <Stepper />
</template>
<style>
.step {
    min-width: 100px;
    cursor: pointer;
}

.step > .step-circle {
    border: solid 1px #666;
    width: 40px;
    height: 40px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    border-radius: 50%;
}
</style>